porcupine 1.9.14 icon indicating copy to clipboard operation
porcupine: ^1.9.14 copied to clipboard

discontinued

A Flutter plugin for Picovoice's Porcupine offline wake word engine.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add porcupine

With Flutter:

 $ flutter pub add porcupine

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  porcupine: ^1.9.14

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:porcupine/porcupine.dart';
4
likes
0
pub points
70%
popularity

Suggested replacement

porcupine_flutter

Publisher

shield icon for verified publisherspicovoice.ai

A Flutter plugin for Picovoice's Porcupine offline wake word engine.

Homepage

Documentation

API reference

License

unknown (LICENSE)

Dependencies

ffi, flutter, flutter_voice_processor, path_provider

More

Packages that depend on porcupine